Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.citation
Interface ResponsibleParty

    @Profile(level=CORE)
    @UML(identifier="CI_ResponsibleParty",
         specification=ISO_19115)
    public interface ResponsibleParty

Identification of, and means of communication with, person(s) and organizations associated with the dataset.

Since:
  GeoAPI 1.0

Method Summary
`Contact` | `getContactInfo()` Address of the responsible party.
`String` | `getIndividualName()` Name of the responsible person- surname, given name, title separated by a delimiter.
`InternationalString` | `getOrganisationName()` Name of the responsible organization.
`InternationalString` | `getPositionName()` Role or position of the responsible person.
`Role` | `getRole()` Function performed by the responsible party.

Method Detail

### getIndividualName

    @UML(identifier="individualName",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    String getIndividualName()

  Name of the responsible person- surname, given name, title separated by a delimiter. Only one of `individualName`, `organisationName` and `positionName` should be provided.

### getOrganisationName

    @UML(identifier="organisationName",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    InternationalString getOrganisationName()

  Name of the responsible organization. Only one of `individualName`, `organisationName` and `positionName` should be provided.

### getPositionName

    @UML(identifier="positionName",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    InternationalString getPositionName()

  Role or position of the responsible person. Only one of `individualName`, `organisationName` and `positionName` should be provided.

### getContactInfo

    @UML(identifier="contactInfo",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Contact getContactInfo()

  Address of the responsible party.

### getRole

    @UML(identifier="role",
         obligation=MANDATORY,
         specification=ISO_19115)
    Role getRole()

  Function performed by the responsible party.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.